/***************************************************************************
 *
 * @file	vd1_reg.h
 * @brief	This is Bit field for VD1 register.
 *
 * @par		Copyright:
 *			Copyright (C) SEIKO EPSON CORPORATION 2013. All rights reserved.
 *
 * @warning -
 *
 * @par		History:
 *			- 22 Oct, 2013	1.00
 *				- First revision.
 *
 **************************************************************************/

#ifndef	VD1_REG_H__
#define	VD1_REG_H__

#ifdef	__cplusplus
extern "C" {
#endif


/// VD1 Control Register.
typedef union VD1_CTL_REG_TAG {
	unsigned char			reg;
	struct VD1_CTL_REG_BIT_TAG {
		unsigned short		reserved_1	: 5;
		unsigned short		HVLD		: 1;
		unsigned short		reserved_2	: 2;
	} bit;
} VD1_CTL_REG;


#ifdef __cplusplus
}
#endif

#endif	// VD1_REG_H__


