/***************************************************************************
 *
 * @file	flashc_reg.h
 * @brief	This is Bit field for FLASHC register.
 *
 * @par		Copyright:
 *			Copyright (C) SEIKO EPSON CORPORATION 2013. All rights reserved.
 *
 * @warning -
 *
 * @par		History:
 *			- 22 Oct, 2013	1.00
 *				- First revision.
 *
 **************************************************************************/
#ifndef	FLASHC_REG_H__
#define	FLASHC_REG_H__

#ifdef	__cplusplus
extern "C" {
#endif


/// FLASHC Flash Read Cycle Register.
typedef union FLASHC_WAIT_REG_TAG{
	unsigned short			reg;
	struct FLASHC_WAIT_REG_BIT_TAG{
		unsigned short		RDWAIT		: 2;
		unsigned short		reserved_1	: 14;
	} bit;
	unsigned char byte_reg[2];
} FLASHC_WAIT_REG;


#ifdef __cplusplus
}
#endif

#endif	// FLASHC_REG_H__


